/* Gina -- Virtual sticky notes
 * Copyright (C) 2006-2009  Andrea Bolognani <eof@kiyuko.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Homepage: http://www.kiyuko.org/software/gina
 */

#ifndef __SRC_GINANOTE_H__
#define __SRC_GINANOTE_H__

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>

G_BEGIN_DECLS


#define GINA_TYPE_NOTE (gina_note_get_type ())
#define GINA_NOTE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GINA_TYPE_NOTE, GinaNote))
#define GINA_NOTE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GINA_TYPE_NOTE, GinaNoteClass))
#define GINA_IS_NOTE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GINA_TYPE_NOTE))
#define GINA_IS_NOTE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GINA_TYPE_NOTE))
#define GINA_NOTE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GINA_TYPE_NOTE, GinaNoteClass))

typedef struct _GinaNote GinaNote;
typedef struct _GinaNoteClass GinaNoteClass;
typedef struct _GinaNotePrivate GinaNotePrivate;

struct _GinaNote {
	GtkWindow parent_instance;
	GinaNotePrivate * priv;
};

struct _GinaNoteClass {
	GtkWindowClass parent_class;
};


GinaNote* gina_note_construct (GType object_type);
GinaNote* gina_note_new (void);
gint gina_note_main (char** args, int args_length1);
GType gina_note_get_type (void);


G_END_DECLS

#endif
